.TH "clusvcmgrd" "8" "May 2003" "" "Red Hat Cluster Manager"
.SH "NAME"
clusvcmgrd \- Cluster User Service Manager Daemon
.SH "DESCRIPTION"
.PP 
.B Clusvcmgrd
handles management of user-defined cluster services.  This includes handling
of user requests including service start, service disable, service relocate,
and service restart.  The service manager daemon also handles restarting and
relocating services in the event of failures, as well as cluster-wide
configuration updates.
.SH "HOW IT WORKS"
.PP
The service manager is spawned by the quorum daemon when the quorum daemon
determines that the local member is participating in the cluster quorum.
After starting, the service manager immediately registers for events from the
quorum daemon.
.LP 
During initialization, the service manager runs scripts which ensure that all
services are clear to be started.  After that, it determines which services
need to be started and starts them.
.LP
When an event is received, members which are no longer online have their
services taken away from them.
.LP
When a cluster member determines that it is no longer in the cluster quorum,
the service manager stops all services (without updating their state on the
shared partitions to avoid corruption) and exits.

.SH "SEE ALSO"
clumembd(8), cluquorumd(8), clurmtabd(8), clulockd(8)

You can find more documentation for cluster installation and administration in 
the 
.B The Red Hat Cluster Manager Installation and Administration Guide 
located on the documentation CD\-ROM or online at http://www.redhat.com.
